6.0.0-git
2019-04-21

[#11498] Kolab backend: Modification of note failed
Summary Kolab backend: Modification of note failed
Queue Horde Framework Packages
Queue Version Git master
Type Bug
State Resolved
Priority 1. Low
Owners jan (at) horde (dot) org, wrobel (at) horde (dot) org
Requester thomas.jarosch (at) intra2net (dot) com
Created 2012-10-12 (2382 days ago)
Due
Updated 2012-10-27 (2367 days ago)
Assigned 2012-10-12 (2382 days ago)
Resolved 2012-10-19 (2375 days ago)
Milestone
Patch No

History
2012-10-27 00:59:04 Git Commit Comment #13 Reply to this comment
Changes have been made in Git (develop):

commit a5c48375b955329721001abcaa17d3eb0c321035
Author: Gunnar Wrobel <p@rdus.de>
Date:   Thu Oct 18 20:44:30 2012 +0200

     Revert "Hotfix to force synchronization if UIDs are out of sync 
(Bug #11498)."

     This reverts commit 5bc02b6acd8acc2024626d9d21ec2834609d7721.

     Unnecessary hotfix given the previous revert.

  .../lib/Horde/Kolab/Storage/Folder/Stamp/Uids.php  |    3 +--
  1 files changed, 1 insertions(+), 2 deletions(-)

http://git.horde.org/horde-git/-/commit/a5c48375b955329721001abcaa17d3eb0c321035
2012-10-27 00:59:00 Git Commit Comment #12 Reply to this comment
Changes have been made in Git (develop):

commit b7203cdc7ab6b31bdeda753b937e688e0994a6f7
Author: Gunnar Wrobel <p@rdus.de>
Date:   Thu Oct 18 20:42:29 2012 +0200

     Revert "Fix saving objects."

     This reverts commit eb600210317132e6dde828bfd7430e0470e90dca.

     Correct fix for modifiying objects but this breaks creating objects.
     create() also uses _appendMessage() and stores the backend UID in the
     object. With this change that didn't happen anymore, causing bug #11498.

  .../lib/Horde/Kolab/Storage/Object.php             |    6 +++---
  1 files changed, 3 insertions(+), 3 deletions(-)

http://git.horde.org/horde-git/-/commit/b7203cdc7ab6b31bdeda753b937e688e0994a6f7
2012-10-19 10:46:48 Thomas Jarosch Comment #11
Assigned to Jan Schneider
State ⇒ Resolved
Reply to this comment
Gunnar's commit 0339843358cdbb9bebc248616176ad04bcc34b79
"[gwr] Corrected fix for modifying Kolab objects."

fixed it. I've tested the original bug report, moving notes between 
shares, modifying and deleting notes.
Also moving notes to shared notepads and back is fine.

Thanks to both of you.

2012-10-18 19:28:36 Git Commit Comment #10 Reply to this comment
Changes have been made in Git (master):

commit a5c48375b955329721001abcaa17d3eb0c321035
Author: Gunnar Wrobel <p@rdus.de>
Date:   Thu Oct 18 20:44:30 2012 +0200

     Revert "Hotfix to force synchronization if UIDs are out of sync 
(Bug #11498)."

     This reverts commit 5bc02b6acd8acc2024626d9d21ec2834609d7721.

     Unnecessary hotfix given the previous revert.

  .../lib/Horde/Kolab/Storage/Folder/Stamp/Uids.php  |    3 +--
  1 files changed, 1 insertions(+), 2 deletions(-)

http://git.horde.org/horde-git/-/commit/a5c48375b955329721001abcaa17d3eb0c321035
2012-10-18 19:28:30 Git Commit Comment #9 Reply to this comment
Changes have been made in Git (master):

commit b7203cdc7ab6b31bdeda753b937e688e0994a6f7
Author: Gunnar Wrobel <p@rdus.de>
Date:   Thu Oct 18 20:42:29 2012 +0200

     Revert "Fix saving objects."

     This reverts commit eb600210317132e6dde828bfd7430e0470e90dca.

     Correct fix for modifiying objects but this breaks creating objects.
     create() also uses _appendMessage() and stores the backend UID in the
     object. With this change that didn't happen anymore, causing bug #11498.

  .../lib/Horde/Kolab/Storage/Object.php             |    6 +++---
  1 files changed, 3 insertions(+), 3 deletions(-)

http://git.horde.org/horde-git/-/commit/b7203cdc7ab6b31bdeda753b937e688e0994a6f7
2012-10-15 20:45:55 Git Commit Comment #8 Reply to this comment
Changes have been made in Git (develop):

commit 5bc02b6acd8acc2024626d9d21ec2834609d7721
Author: Jan Schneider <jan@horde.org>
Date:   Fri Oct 12 18:16:07 2012 +0200

     Hotfix to force synchronization if UIDs are out of sync (Bug #11498).

  .../lib/Horde/Kolab/Storage/Folder/Stamp/Uids.php  |    3 ++-
  1 files changed, 2 insertions(+), 1 deletions(-)

http://git.horde.org/horde-git/-/commit/5bc02b6acd8acc2024626d9d21ec2834609d7721
2012-10-12 16:21:42 Jan Schneider Comment #7
Assigned to Gunnar Wrobel
Taken from Jan Schneider
Reply to this comment
Probably not the proper fix, but works for now.
2012-10-12 16:21:10 Jan Schneider Version ⇒ Git master
Queue ⇒ Horde Framework Packages
 
2012-10-12 16:20:31 Git Commit Comment #6 Reply to this comment
Changes have been made in Git (master):

commit 5bc02b6acd8acc2024626d9d21ec2834609d7721
Author: Jan Schneider <jan@horde.org>
Date:   Fri Oct 12 18:16:07 2012 +0200

     Hotfix to force synchronization if UIDs are out of sync (Bug #11498).

  .../lib/Horde/Kolab/Storage/Folder/Stamp/Uids.php  |    3 ++-
  1 files changed, 2 insertions(+), 1 deletions(-)

http://git.horde.org/horde-git/-/commit/5bc02b6acd8acc2024626d9d21ec2834609d7721
2012-10-12 15:42:49 Thomas Jarosch Comment #5
Assigned to Jan Schneider
State ⇒ Assigned
Reply to this comment
Cannot reproduce.
As far as I understood it on IRC, you can reproduce it now.

2012-10-12 14:00:38 Jan Schneider Comment #4
State ⇒ Feedback
Reply to this comment
Cannot reproduce.
2012-10-12 13:50:33 Thomas Jarosch Comment #3 Reply to this comment
Ok, found out how to trigger it on my side:

- Create an empty notepad
- Clear all horde caches
- Create an entry "first entry". Don't open it afterwards.
- Create an entry "second entry".
- Edit "second entry", modify it and save
   -> Boom

2012-10-12 13:41:39 Thomas Jarosch Comment #2 Reply to this comment
It has something to do with the caching, I cannot always trigger this:

- When I clear all horde caches it works fine
- If I randomly deactive/active the Kolab shares in mnemo,
   it sometimes starts to break and then stays broken until I clear the cache.

Still I don't see a pattern yet. Probably the same issue with Turba 
I've seen before.

2012-10-12 13:37:42 Thomas Jarosch Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ Kolab backend: Modification of note failed
Queue ⇒ Mnemo
Milestone ⇒
Patch ⇒ No
Reply to this comment
Hi,

I tried to modify a note in mnemo and got a traceback. IIRC I tried to 
change the category:

--------------------------------------------------------------------------
The message containing the object has been left unspecified!

1. Mnemo_Driver->modify() /datastore/DEVEL/horde/mnemo/memo.php:197
2. Mnemo_Driver_Kolab->_modify() 
/datastore/DEVEL/horde/mnemo/lib/Driver.php:175
3. Horde_Kolab_Storage_Data_Base->modify() 
/datastore/DEVEL/horde/mnemo/lib/Driver/Kolab.php:162
4. Horde_Kolab_Storage_Object->save() 
/datastore/DEVEL/horde/framework/Kolab_Storage/lib/Horde/Kolab/Storage/Data/Base.php:282
5. Horde_Kolab_Storage_Object->_getBackendId() 
/datastore/DEVEL/horde/framework/Kolab_Storage/lib/Horde/Kolab/Storage/Object.php:401
--------------------------------------------------------------------------


Similar error as in #11489

Thomas

Saved Queries